% Maximum of Gaussian Processes Toolbox
% Version 0.0.13 10-10-2012 
%  checked 5/7/2018
% 
% Cumulative Distribution Functions(CDF) of supremum   
%   pbb       - Brownian Bridge on [0, T]
%   pbm       - Brownian Motion on [0, T]
%   pbp       - normalized brownian motion on [1, T]
%   pou       - Ornstein-Uhlenbeck process on [0, T]
%   psc       - Sine-Cosine process on [0, T]
%
% CDF of supremum of the absolute value 
%   pnbb      - Brownian Bridge on [0, T]
%   pnbm      - Brownian Motion on [0, T]
%   pnbp      - normalized Bessel process on [1, T]   NOT OK !!(2018)
%   pnou      - Ornstein-Uhlenbeck process on [0, T]    NOT OK !!(2018)
%   pnsc      - Sine-Cosine process on [0,T]
%
% Critical Values of Distribution functions of supremum
%   qbb       - Brownian Bridge on [0, T]
%   qbm       - Brownian Motion on [0, T]
%   qbp       - normalized Bessel process on [1, T]
%   qou       - Ornstein-Uhlenbeck process on [0, T]
%   qsc       - Sine-Cosine process on [0, T]
%
% Critical Values of Distributions functions of absolute value supremum 
%   qnbb      - Brownian Bridge on [0, T]
%   qnbm      - Brownian Motion on [0, T]
%   qnbp      - normalized Bessel process on [1, T] NOT OK !!(2018)
%   qnou      - Ornstein-Uhlenbeck process on [0, T]   NOT OK !!(2018)
%   qnsc      - Sine-Cosine process on [0,T]
%
% Simulation programs
% SCsimu         - Sine-Cosine process 
% OUsimu         - Ornstein-Uhlenbeck process
% Bsimu          - Brownian motion
% Bbsimu         - Brownian bridge 
%
%Test_program  is a script that check all the programs of the toolbox


% Other function
%   pu        - Parabolic cylinder function U(a,x)  
%