%verification script
clear all
N=1000 ; %number of simulations  don't change
n= 10000; %discretization

%%Brownian motion   pbm(1.96,1) = pbm(2*1.96,4) = 0.95  OK
 % qbm(0.95,1) = 1.96 OK
 
 % browninan motion bilateral : from tables  for T=1 the median is 1.149
 % pnbm(1.149,1) = 0.5  qnbm(0.50,1)=1.149   OK
 
%%Ornstein Uhlenbeck
  
  
% OU on [0,0.1]
  for i= 1:N
      
      Z(i) = max(OUsimu(n,0.1));  
  end
  
  zz=sort(Z);
  zzz = zz(100:100:900); %empirical deciles 

for i = 1:9
    p(i) = pou(zzz(i),0.1);
    
    
end

q=0.1:0.1:0.9;

plot(q,p,q,q)

figure  

q=0.5:0.1:0.9;
d = pou(qou(q,1),1);
plot(d,q)

%%
%verificationarcsinus formula 
% Pmax de OU  on  [0,1] <0

pou(0,1)   %0.1199
 (1/pi)*asin(exp(-1)) % 0.1199
 pou(0,2)   %
 (1/pi)*asin(exp(-2)) %
 
 
 % qou(pou(1,2),2)
 
 
 
 
 
%% Brownian brigde unilateral
 for i= 1:N
      
      Z(i) = max(Bbsimu(n));
  end
  
  zz=sort(Z);
  zzz = zz(100:100:900); %empirical deciles 

for i = 1:9
    p(i) = pbb(zzz(i),1);
    
    
end

figure 
q=0.1:0.1:0.9;

plot(q,p,q,q)




%%  Brownian bridge bilateral


  for i= 1:N
      
      Z(i) = max(abs(Bbsimu(n)));
  end
  
  zz=sort(Z);
  zzz = zz(100:100:900); %empirical deciles 

for i = 1:9
    p(i) = pnbb(zzz(i),1);
    
    
end

figure 
q=0.1:0.1:0.9;

plot(q,p,q,q)
%also cheked  qnbb(pnbb(1))


%% sine-cosine process  unilateral

n=100
 for i= 1:N
      
      Z(i) = max(SCsimu(n,5));
  end
  
  zz=sort(Z);
  zzz = zz(100:100:900); %empirical deciles 

for i = 1:9
    p(i) = psc(zzz(i),5,1);
    
    
end

figure 
q=0.1:0.1:0.9;

plot(q,p,q,q)

%also cheked  qsc(psc(2,7),7) ;qsc(psc(2,5),5) , qsc(psc(1.5,2),2)
%OK
%% sine-cosine process  bilateral

n=100
 for i= 1:N
      
      Z(i) = max(abs(SCsimu(n,2)));
  end
  
  zz=sort(Z);
  zzz = zz(100:100:900); %empirical deciles 

for i = 1:9
    p(i) = pnsc(zzz(i),2,1);
    
    
end

figure 
q=0.1:0.1:0.9;

plot(q,p,q,q)
 % OK
% qnsc(pnsc(2,1),1), qnsc(pnsc(2,3),3),qnsc(pnsc(2,5),5),
% qnsc(pnsc(1,7),7) OK


%% PBP is test through OU. 

%% Bessel process





